Passage à WordPress 2.8

Ceux qui sont passés par Le Blog de Lise dans le courant de l’après-midi ont peut-être vu des choses bizarres !

J’avais essayé sur plusieurs blogs de tests WordPress 2.8 :

  • sous Mac OS et MAMP,
  • sous Windows et xampp,
  • sous Linux et lampp.

La mise à jour s’est déroulée automatiquement sans souci sous Mac OS X. Sous Windows, j’ai dû l’effectuer manuellement, et j’ai quelques soucis d’affichage du Tableau de bord. Sous Linux, j’ai installé directement mon répertoire wordpress en recopiant celui du Mac. Aucun problème !

Sur Le Blog de Lise, j’ai dû également effectuer une mise à jour manuelle. Peut-être est-ce dû à mon hébergeur, 1&1, dont les serveurs rament toujours autant !

J’ai quelques difficultés avec le nouveau thème dKret (et son sous-thème Lisemini version3) qui fonctionnent pourtant très bien sur mes blogs de test sous Mac OS X et Linux Ubuntu. Ils provoquent des erreurs d’affichage. L’ancienne version de dKret et Lisemini version 2 sont donc toujours actifs.

Autres erreurs, plus gênantes celles-ci,

  • pour visualiser un article en cours d’écriture, un clic sur le bouton Aperçu mène à une page d’erreur. Je dois passer par Articles > Modifier puis cliquer sur le bouton Aperçu. Sur mes blogs de test, pourtant, je ne rencontre aucun problème !
  • j’arrive également sur une page d’erreur lorsque j’enregistre un brouillon ; les modifications sont bien enregistrées mais sans les mots-clés ! je dois passer par Articles > Edition en masse des tags pour les saisir !

Ecrit par Lise - Site

11 commentaires pour “Passage à WordPress 2.8

  1. J’ai eu quelques problèmes aussi pour marier dKret3 3.0 et WordPress 2.8. Aucun soucis concernant le noyeau de WordPress! 🙂
    Et inalement j’ai réussi à isoler les élément modifiés par Jörn 😉
    J’ai fait un p’tit topo également: dkret3 3.0 beta3 et WordPress 2.8 RC1.
    J’ai également eu quelques échanges sur le forum de dKret3 pour remonter un p’tit Bug corrigé dans la version 3.0

  2. Au fait il est temps que tu passes chez Infomaniak comme hébergement 😉 Il est dommage que la qualité de ton travail soit tant réduit par la lenteur récurrente et les erreurs 500 @ répétition 🙁

  3. J’ai fait un p’tit topo également: dkret3 3.0 beta3 et WordPress 2.8 RC1

    Pas de souci en ce qui me concerne pour la compatibilité que tu cites dans ton article, mon sous-thème a été revu par Jörn, lui-même. Je suis même déçue 😉 je m’attendais à trouver un scoop 😉
    Le problème semble provenir de dKret, lui-même.

    Au fait il est temps que tu passes chez Infomaniak comme hébergement

    Je pense effectivement à changer d’hébergeur ; je ne sais cependant si Infomaniak serait davantage performant, mon blog étant plus « gourmand » que le tien 😉 près de 1000 pages et articles, plus de 2000 commentaires 😉

  4. Bonsoir Lise,

    Pourquoi n’as-tu pas modifié le fichier htaccess comme je te l’avais indiqué. A mon avis cela aurait résolu la plupart de tes problèmes. Pour ma part, nous ne sommes plus confrontés à ces soucis d’erreurs 500.

    Bye,

    Laurent

  5. Laurent, tu as bien fait de m’en reparler… Le fichier, malgré le chmod à 444, avait été modifié.

    Mais malgré cette nouvelle modification, les erreurs 500 persistent. C’est encore pire avec WP 2.8 qu’avec WP 2.7 !

  6. C’est quand même curieux, car nous n’avons plus aucun problème. Ce qui m’étonne c’est que ton fichier ait été modifié malgré le chmod. Es-tu sûr d’avoir bien procédé au moment du transfert avec ton FTP et le chmod ?

    Pour ma part, j’hésite encore à passer le pas pour wordpress 2.8, j’ai quand même la crainte que les problèmes reviennent, surtout que le changement de version n’a pas l’air vraiment révolutionnaire.

    Par ailleurs, je ne doute pas qu’Infomaniak fonctionne mieux, car ce n’est pas du tout le même prix.

    Bon courage,

    Laurent

    • Es-tu sûr d’avoir bien procédé au moment du transfert avec ton FTP et le chmod ?

      Je modifie le chmod directement sur le serveur !
      De toute façon, 1&1 tournant sur PHP5, je ne suis pas sûre que les lignes
      AddType x-mapp-php5 .php
      AddHandler x-mapp-php5 .php

      soient absolument indispensables.

      changement de version n’a pas l’air vraiment révolutionnaire

      C’est vrai, mais je pensais disposer d’un noyau plus rapide et pouvoir bénéficier des nouveautés de dKret.
      N’ayant pas rencontré de difficultés majeures sur mes blogs de test, il est possible que ma base de données traînent quelques « vieux trucs », auxquels s’ajoutent les dysfonctionnements de 1&1.

  7. Je modifie le chmod directement sur le serveur !

    Est-ce que le problème ne vient pas de là ? Il faudrait peut-être tenté depuis ton FTP. Qui sait cela peut toujours marcher. Les lignes « php5 » sont une manière de lui forcer un peu la main et pour nous d’autres amis cela fonctionne parfaitement.

    Si en tentant via ton ftp de refaire la manip cela ne marche pas, as-tu essayer de désactiver certains plugins ? Il se peut que cela joue sur la base ! Je pense en particulier à My category order plugin qui plantait jusque là sur avec wordpress 2.8.

    Bye,

    Laurent

  8. Bonjour Lise,

    Même si mon message précédent est parfaitement confus dans sa formulation et rempli de fautes, je pense que l’ensemble reste malgré tout compréhensible.

    Bye,

    Laurent

  9. J’avais tout compris, mais je suis débordée et n’ai pas eu le temps de répondre dans la journée.
    Même si l’informatique, c’est parfois bizarre, forcer la main d’un système déjà passé à PHP5, bof 😉
    Quant au chmod, le risque serait plutôt que via le transfert FTP, les droits soient changés.
    Pour les plugins, ils fonctionnent sur mes blogs de test. Je pense surtout que mon noyau WP est à la « ramasse », je vais essayer, si j’ai un peu de temps, de faire une installation propre sur le serveur de 1&1.

Les commentaires sont clos.